
package net.mcreator.mysticalmooshrooms.item;

import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.food.FoodProperties;
import net.minecraft.world.entity.LivingEntity;

import net.mcreator.mysticalmooshrooms.procedures.ShroomyApplePlayerFinishesUsingItemProcedure;
import net.mcreator.mysticalmooshrooms.init.MysticalMooshroomsModTabs;

public class ShroomyAppleItem extends Item {
	public ShroomyAppleItem() {
		super(new Item.Properties().tab(MysticalMooshroomsModTabs.TAB_MYSTICAL_MOOSHROOMS).stacksTo(64).rarity(Rarity.COMMON)
				.food((new FoodProperties.Builder()).nutrition(10).saturationMod(8f).alwaysEat().meat().build()));
	}

	@Override
	public int getUseDuration(ItemStack itemstack) {
		return 35;
	}

	@Override
	@OnlyIn(Dist.CLIENT)
	public boolean isFoil(ItemStack itemstack) {
		return true;
	}

	@Override
	public ItemStack finishUsingItem(ItemStack itemstack, Level world, LivingEntity entity) {
		ItemStack retval = super.finishUsingItem(itemstack, world, entity);
		double x = entity.getX();
		double y = entity.getY();
		double z = entity.getZ();

		ShroomyApplePlayerFinishesUsingItemProcedure.execute(entity);
		return retval;
	}
}
