
package net.mcreator.mysticalmooshrooms.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.PickaxeItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

import net.mcreator.mysticalmooshrooms.init.MysticalMooshroomsModTabs;
import net.mcreator.mysticalmooshrooms.init.MysticalMooshroomsModItems;

public class MooshritePickaxeItem extends PickaxeItem {
	public MooshritePickaxeItem() {
		super(new Tier() {
			public int getUses() {
				return 1500;
			}

			public float getSpeed() {
				return 8.5f;
			}

			public float getAttackDamageBonus() {
				return 2.5f;
			}

			public int getLevel() {
				return 3;
			}

			public int getEnchantmentValue() {
				return 24;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(MysticalMooshroomsModItems.MOOSHRITE_INGOT.get()));
			}
		}, 1, -3f, new Item.Properties().tab(MysticalMooshroomsModTabs.TAB_MYSTICAL_MOOSHROOMS));
	}
}
